# - Build details for DOLFIN: Dynamic Object-oriented Library for
# - FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

if (POLICY CMP0011)
  cmake_policy(SET CMP0011 NEW)
endif()

if (POLICY CMP0012)
  cmake_policy(SET CMP0012 NEW)
endif()

# Compute path
get_filename_component(DOLFIN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Library dependencies (contains definitions for IMPORTED targets)
# NOTE: DOLFIN demo CMakeLists.txt are written to be stand-alone, as
# well as the build system building the demo. Therefore, we need the
# below guard to avoid exporting the targets twice.
if (NOT TARGET dolfin)
  include("${DOLFIN_CMAKE_DIR}/DOLFINTargets.cmake")
endif()

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"2017.2.0\";-DDOLFIN_LA_INDEX_SIZE=4")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-fpermissive  ")

# Linker flags
set(DOLFIN_LINK_FLAGS "-Wl,-Bsymbolic-functions -Wl,-z,relro ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/include;/usr/include/eigen3;/usr/include/hdf5/openmpi;/usr/lib/python2.7/dist-packages/petsc4py/include;/usr/lib/aarch64-linux-gnu/openmpi/include/openmpi;/usr/lib/aarch64-linux-gnu/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent;/usr/lib/aarch64-linux-gnu/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent/include;/usr/lib/aarch64-linux-gnu/openmpi/include;/usr/lib/petscdir/3.7.7/aarch64-linux-gnu-real/include;/usr/include/hypre;/usr/include/superlu;/usr/include/suitesparse;/usr/include/scotch;/usr/lib/aarch64-linux-gnu/hdf5/openmpi/include;/usr/lib/aarch64-linux-gnu/openmpi/include;")

# Python variables
if ("ON" AND "TRUE")
  if (NOT PYTHON_EXECUTABLE)
    set(PYTHON_EXECUTABLE /usr/bin/python2.7)
  endif()
  # Find Python interpreter (defines PYTHON_VERSION)
  find_package(PythonInterp)

  set(DOLFIN_PYTHON_FILE
    "${DOLFIN_CMAKE_DIR}/DOLFINPython${PYTHON_VERSION_MAJOR}${PYTHON_VERSION_MINOR}.cmake")
  if (EXISTS "${DOLFIN_PYTHON_FILE}")
    include("${DOLFIN_PYTHON_FILE}")
  endif()
endif()

# SWIG executable
set(DOLFIN_SWIG_EXECUTABLE "/usr/bin/swig")

# DOLFIN library
set(DOLFIN_LIBRARIES dolfin)

# Version
set(DOLFIN_VERSION_MAJOR "2017")
set(DOLFIN_VERSION_MINOR "2")
set(DOLFIN_VERSION_MICRO "0")
set(DOLFIN_VERSION_STR   "2017.2.0")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "${DOLFIN_CMAKE_DIR}/UseDOLFIN.cmake")
